public enum MassOperationType implements Serializable {

/*  %%    
  CLEAR_PERSON_READONLY(
    "ClearPersonReadonly",
    "Clear read-only status for a person",
    Permission.ManagePersonAccessControlFollowingAdminRulesPermission,
    "<personId>[,<label>]",
    false, false, false, true, false),
//   */
/* %%
  SET_PERSON_READONLY(
    "SetPersonReadonly",
    "Set read-only status for a person",
    Permission.ManagePersonAccessControlFollowingAdminRulesPermission,
    "<personId>[,<label>]",
    false, false, false, true, false),
// */

  SWITCH_ASSERTION_CONTRIBUTOR(
    "SwitchAssertionContributor",
    "Switch assertion contributor",
    Permission.ModifyDataPermission,
    "<oldContributorId>,<newContributorId>,<personId>",
    false, false, false, true, false),
  TRACK_TEMPLE_OSID(
    "TrackTempleOsid",
    "Track an osid through the failover system",
    Permission.ManageTempleFailoverItemsPermission,
    "<osid>",
    false, false, false, true, false),
  UNHIDE_PERSON_DATA(
    "UnhidePersonData",
    "Unhide all person assertions",
    Permission.ManagePersonAccessControlFollowingAdminRulesPermission,
    "<personId>[,<label>]",
    false, false, false, true, false),
  UNHIDE_PERSON_EVENTS(
    "UnhidePersonEvents",
    "Unhide person event assertions",
    Permission.ManagePersonAccessControlFollowingAdminRulesPermission,
    "<personId>[,<label>]",
    false, false, false, true, false),
  UNHIDE_PERSON_ORDINALS(
    "UnhidePersonOrdinals",
    "Unhide person ordinal assertions",
    Permission.ManagePersonAccessControlFollowingAdminRulesPermission,
    "<personId>[,<label>]",
    false, false, false, true, false),
  UNSCHEDULE_TASK(
    "UnScheduledTask",
    "UnSchedule a Task (the task must already exist in simpleconfig)",
    Permission.ManageSystemProcessesPermission,
    "Task Name",
    false, false, false, true, false),
  CALCULATE_COUPLE_ANSWERS("CalculateCoupleAnswers",
                           "Calculate couple answers (ordinalRollupStatus)",
                           Permission.WriteObjectDataPermission,
                           "<personId>[, <spousePersonId>] default is all spouses",
                           false, false, false, false, false),
/* %%
  CALCULATE_PERSON_ANSWERS("CalculatePersonAnswers",
                           "Calculate person answers (isSingleParent, preferred spouse, preferred parents)",
                           Permission.WriteObjectDataPermission,
                           "<personId>",
                           false, false, false, false, false),
// */
  CHECK_REPAIR_ENTITY(
    "CheckRepairEntity",
    "Check and/or repair entity.",
    Permission.WriteObjectDataPermission,
    "<usysId>[,<checkRepairType>] Valid types include: " + CheckRepairType.getCheckRepairTypeNames(),
    false, false, false, false, false),
  CREATE_INFERRED_CONFIRMATION_AND_INITIATORY(
    "CreateInferredConfirmationAndInitiatory",
    "Create inferred confirmation and initiatory ordinals",
    Permission.RecordInferredOrdinalPermission,
    "<ctrId>,<ordinal type: C or I>,<performed date or 'unknown' (dd-MMM-yyyy)>,<temple code or 'unknown'>",
    false, false, false, false, false),
  DISTRIBUTED_CALCULATE_COUPLE_ANSWERS("DistributedCalculateCoupleAnswers",
                                       "Calculate couple answers (ordinalRollupStatus)(distributed)",
                                       Permission.WriteObjectDataPermission, // Engineering admin
                                       "File containing lines of the form: '<personId>[, <spousePersonId>] default is all spouses'" +
                                         ",[<firstLine>,<lastLine>,<linesPerMessage>]",
                                       true, true, true, false, false),
/* %%
  DISTRIBUTED_CALCULATE_PERSON_ANSWERS("DistributedCalculatePersonAnswers",
                                       "Calculate person answers (isSingleParent, preferred spouse, preferred parents)(distributed)",
                                       Permission.WriteObjectDataPermission, // Engineering admin
                                       "File containing lines of the form: <personId>,[<firstLine>,<lastLine>,<linesPerMessage>]",
                                       true, true, true, false, false),
//  */
  DEFAULT_VALUE(
    "Default",
    "Default Value not used.",
    Permission.ViewPersonDataPerAccessControlOrSelfContributedPermission, // Any Permission works
    "",
    false, false, false, false, false);

}
